org.springframework.cloud.dataflow.completion

## Class CompletionConfiguration

- java.lang.Object
- - org.springframework.cloud.dataflow.completion.CompletionConfiguration

-     @Configuration
       @Import(value=ApplicationConfigurationMetadataResolverAutoConfiguration.class)
      public class CompletionConfiguration
      extends Object

  Include this Configuration class to expose fully configured `StreamCompletionProvider` and `TaskCompletionProvider`.
  Author:
    Eric Bottard, Ilayaperumal Gopinathan, Mark Fisher

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompletionConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpansionStrategy` | `addAppOptionsExpansionStrategy()`
    `TaskExpansionStrategy` | `addTaskAppOptionsExpansionStrategy()`
    `RecoveryStrategy<?>` | `appsAfterDoublePipeRecoveryStrategy()`
    `RecoveryStrategy<?>` | `appsAfterPipeRecoveryStrategy()`
    `ValueHintProvider` | `booleanValueHintProvider()`
    `org.springframework.cloud.dataflow.completion.ConfigurationPropertyNameAfterDashDashRecoveryStrategy` | `configurationPropertyNameAfterDashDashRecoveryStrategy()`
    `org.springframework.cloud.dataflow.completion.ConfigurationPropertyNameAfterDashDashTaskRecoveryStrategy` | `configurationPropertyNameAfterDashDashTaskRecoveryStrategy()`
    `ExpansionStrategy` | `configurationPropertyValueHintExpansionStrategy()`
    `RecoveryStrategy<?>` | `configurationPropertyValueHintRecoveryStrategy()`
    `RecoveryStrategy<?>` | `configurationPropertyValueHintTaskRecoveryStrategy()`
    `ValueHintProvider` | `defaultValueHintProvider()`
    `RecoveryStrategy<?>` | `destinationNameYieldsAppsRecoveryStrategy()`
    `RecoveryStrategy<?>` | `emptyStartYieldsAppsRecoveryStrategy()`
    `RecoveryStrategy<?>` | `emptyStartYieldsAppsTaskRecoveryStrategy()`
    `ValueHintProvider` | `enumValueHintProvider()`
    `RecoveryStrategy<?>` | `expandOneDashToTwoDashesRecoveryStrategy()`
    `RecoveryStrategy<?>` | `expandOneDashToTwoDashesTaskRecoveryStrategy()`
    `ExpansionStrategy` | `pipeIntoOtherAppsExpansionStrategy()`
    `StreamCompletionProvider` | `streamCompletionProvider()`
    `TaskCompletionProvider` | `taskCompletionProvider()`
    `TaskExpansionStrategy` | `taskConfigurationPropertyValueHintExpansionStrategy()`
    `ExpansionStrategy` | `unfinishedAppNameExpansionStrategy()`
    `RecoveryStrategy<?>` | `unfinishedConfigurationPropertyNameRecoveryStrategy()`
    `RecoveryStrategy<?>` | `unfinishedConfigurationPropertyNameTaskRecoveryStrategy()`
    `TaskExpansionStrategy` | `unfinishedTaskAppNameExpansionStrategy()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompletionConfiguration

          public CompletionConfiguration()

  - ### Method Detail

    - #### streamCompletionProvider

          @Bean
          public StreamCompletionProvider streamCompletionProvider()

    - #### emptyStartYieldsAppsRecoveryStrategy

          @Bean
          public RecoveryStrategy<?> emptyStartYieldsAppsRecoveryStrategy()

    - #### expandOneDashToTwoDashesRecoveryStrategy

          @Bean
          public RecoveryStrategy<?> expandOneDashToTwoDashesRecoveryStrategy()

    - #### configurationPropertyNameAfterDashDashRecoveryStrategy

          @Bean
          public org.springframework.cloud.dataflow.completion.ConfigurationPropertyNameAfterDashDashRecoveryStrategy configurationPropertyNameAfterDashDashRecoveryStrategy()

    - #### unfinishedConfigurationPropertyNameRecoveryStrategy

          @Bean
          public RecoveryStrategy<?> unfinishedConfigurationPropertyNameRecoveryStrategy()

    - #### appsAfterPipeRecoveryStrategy

          @Bean
          public RecoveryStrategy<?> appsAfterPipeRecoveryStrategy()

    - #### appsAfterDoublePipeRecoveryStrategy

          @Bean
          public RecoveryStrategy<?> appsAfterDoublePipeRecoveryStrategy()

    - #### destinationNameYieldsAppsRecoveryStrategy

          @Bean
          public RecoveryStrategy<?> destinationNameYieldsAppsRecoveryStrategy()

    - #### configurationPropertyValueHintRecoveryStrategy

          @Bean
          public RecoveryStrategy<?> configurationPropertyValueHintRecoveryStrategy()

    - #### addAppOptionsExpansionStrategy

          @Bean
          public ExpansionStrategy addAppOptionsExpansionStrategy()

    - #### unfinishedAppNameExpansionStrategy

          @Bean
          public ExpansionStrategy unfinishedAppNameExpansionStrategy()

    - #### pipeIntoOtherAppsExpansionStrategy

          @Bean
          public ExpansionStrategy pipeIntoOtherAppsExpansionStrategy()

    - #### configurationPropertyValueHintExpansionStrategy

          @Bean
          public ExpansionStrategy configurationPropertyValueHintExpansionStrategy()

    - #### defaultValueHintProvider

          @Bean
          public ValueHintProvider defaultValueHintProvider()

    - #### enumValueHintProvider

          @Bean
          public ValueHintProvider enumValueHintProvider()

    - #### booleanValueHintProvider

          @Bean
          public ValueHintProvider booleanValueHintProvider()

    - #### taskCompletionProvider

          @Bean
          public TaskCompletionProvider taskCompletionProvider()

    - #### emptyStartYieldsAppsTaskRecoveryStrategy

          @Bean
          public RecoveryStrategy<?> emptyStartYieldsAppsTaskRecoveryStrategy()

    - #### addTaskAppOptionsExpansionStrategy

          @Bean
          public TaskExpansionStrategy addTaskAppOptionsExpansionStrategy()

    - #### unfinishedTaskAppNameExpansionStrategy

          @Bean
          public TaskExpansionStrategy unfinishedTaskAppNameExpansionStrategy()

    - #### taskConfigurationPropertyValueHintExpansionStrategy

          @Bean
          public TaskExpansionStrategy taskConfigurationPropertyValueHintExpansionStrategy()

    - #### expandOneDashToTwoDashesTaskRecoveryStrategy

          @Bean
          public RecoveryStrategy<?> expandOneDashToTwoDashesTaskRecoveryStrategy()

    - #### configurationPropertyNameAfterDashDashTaskRecoveryStrategy

          @Bean
          public org.springframework.cloud.dataflow.completion.ConfigurationPropertyNameAfterDashDashTaskRecoveryStrategy configurationPropertyNameAfterDashDashTaskRecoveryStrategy()

    - #### configurationPropertyValueHintTaskRecoveryStrategy

          @Bean
          public RecoveryStrategy<?> configurationPropertyValueHintTaskRecoveryStrategy()

    - #### unfinishedConfigurationPropertyNameTaskRecoveryStrategy

          @Bean
          public RecoveryStrategy<?> unfinishedConfigurationPropertyNameTaskRecoveryStrategy()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.